Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/lpj_establish.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/lpj_establish.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/lpj_establish.f90	(revision 257)
@@ -33,8 +33,7 @@
        neighbours, resolution, need_adjacent, herbivores, &
        precip_annual, gdd0, lm_lastyearmax, &
-       cn_ind, lai, avail_tree, avail_grass, &
+       cn_ind, lai, avail_tree, avail_grass,  npp_longterm, &
        leaf_age, leaf_frac, &
-       ind, biomass, age, everywhere, co2_to_bm,veget_max)
-
+       ind, biomass, age, everywhere, co2_to_bm,veget_max, woodmass_ind)
     !
     ! 0 declarations
@@ -74,4 +73,6 @@
     ! space availability for grasses
     REAL(r_std), DIMENSION(npts), INTENT(in)                    :: avail_grass
+    ! longterm NPP, for each PFT (gC/(m**2 of ground))
+    REAL(r_std), DIMENSION(npts,nvm), INTENT(in)                :: npp_longterm
     ! "maximal" coverage fraction of a PFT (LAI -> infinity) on ground 
     REAL(r_std), DIMENSION(npts,nvm), INTENT(inout)            :: veget_max
@@ -94,4 +95,6 @@
     !NV passage 2D
     REAL(r_std), DIMENSION(npts,nvm), INTENT(inout)                 :: co2_to_bm
+    ! woodmass of the individual, needed to calculate crownarea in lpj_crownarea
+    REAL(r_std), DIMENSION(npts,nvm), INTENT(inout)                 :: woodmass_ind
 
     ! 0.3 local
@@ -111,4 +114,6 @@
     ! total natural fpc
     REAL(r_std), DIMENSION(npts)                                :: sumfpc
+    ! total fraction occupied by natural vegetation
+    REAL(r_std), DIMENSION(npts)                                :: fracnat
     ! total woody fpc
     REAL(r_std), DIMENSION(npts)                                :: sumfpc_wood
@@ -129,13 +134,25 @@
     ! woodmass of an individual
     REAL(r_std), DIMENSION(npts)                                :: woodmass
+    ! carbon mass in youngest leaf age class (gC/m**2 PFT)
+    REAL(r_std), DIMENSION(npts)                                :: leaf_mass_young
     ! ratio of hw(above) to total hw, sm(above) to total sm
     REAL(r_std), DIMENSION(npts)                                :: sm_at
     ! reduction factor for establishment if many trees or grasses are present
     REAL(r_std), DIMENSION(npts)                                :: factor
+    ! Total carbon mass for all pools
+    REAL(r_std), DIMENSION(npts)                                :: total_bm_c
+    ! Total sappling biomass for all pools
+    REAL(r_std), DIMENSION(npts)                                :: total_bm_sapl
     ! from how many sides is the grid box invaded
     INTEGER(i_std)                                              :: nfrontx
     INTEGER(i_std)                                              :: nfronty
     ! daily establishment rate is large compared to present number of individuals
-    LOGICAL, DIMENSION(npts)                                   :: many_new
+    !LOGICAL, DIMENSION(npts)                                   :: many_new
+    ! flow due to new individuals
+    !   veget_max after establishment, to get a proper estimate of carbon and nitrogen 
+    REAL(r_std), DIMENSION(npts)                                 :: vn
+    !   lai on each PFT surface 
+    REAL(r_std), DIMENSION(npts)                                 :: lai_ind
+
     ! indices
     INTEGER(i_std)                                              :: i,j,k,m
@@ -161,237 +178,349 @@
     ENDIF
 
-    !
-    ! 2 recalculate fpc
-    !
-
-    !
-    ! 2.1 Only natural part of the grid cell
-    !
-
-    DO j = 2,nvm
-
-       IF ( natural(j) ) THEN
-          DO i = 1, npts
-             IF (lai(i,j) == val_exp) THEN               
-                fpc_nat(i,j) = cn_ind(i,j) * ind(i,j)
-             ELSE
-                fpc_nat(i,j) = cn_ind(i,j) * ind(i,j) * ( 1. - exp( -lai(i,j) * ext_coeff(j) ) )
-             ENDIF
-          ENDDO
-       ELSE
-
-          fpc_nat(:,j) = 0.0
-
-       ENDIF
-
-    ENDDO
-
-    !
-    ! 2.2 total natural fpc on grid
-    !
-
-    sumfpc(:) = SUM( fpc_nat(:,:), DIM=2 )
-
-    !
-    ! 2.3 total woody fpc on grid and number of regenerative tree pfts
-    !
-
-    sumfpc_wood(:) = 0.0
-    spacefight_tree(:) = 0.0
-
-    DO j = 2,nvm
-
-       IF ( tree(j) .AND. natural(j) ) THEN
-
-          ! total woody fpc
-
-          WHERE ( PFTpresent(:,j) )
-             sumfpc_wood(:) = sumfpc_wood(:) + fpc_nat(:,j)
-          ENDWHERE
-
-          ! how many trees are competing? Count a PFT fully only if it is present
-          !   on the whole grid box.
-
-          WHERE ( PFTpresent(:,j) .AND. ( regenerate(:,j) .GT. regenerate_crit ) )
-             spacefight_tree(:) = spacefight_tree(:) + everywhere(:,j)
-          ENDWHERE
-
-       ENDIF
-
-    ENDDO
-
-    !
-    ! 2.4 number of natural grasses
-    !
-
-    spacefight_grass(:) = 0.0
-
-    DO j = 2,nvm
-
-       IF ( .NOT. tree(j) .AND. natural(j) ) THEN
-
-          ! how many grasses are competing? Count a PFT fully only if it is present
-          !   on the whole grid box.
-
-          WHERE ( PFTpresent(:,j) )
-             spacefight_grass(:) = spacefight_grass(:) + everywhere(:,j)
-          ENDWHERE
-
-       ENDIF
-
-    ENDDO
-
-    !
-    ! 3 establishment rate
-    !
-
-    !
-    ! 3.1 maximum establishment rate, based on climate only
-    !
-
-    WHERE ( ( precip_annual(:) .GE. precip_crit ) .AND. ( gdd0(:) .GE. gdd_crit_estab ) )
-
-       estab_rate_max_climate_tree(:) = estab_max_tree
-       estab_rate_max_climate_grass(:) = estab_max_grass
-
-    ELSEWHERE
-
-       estab_rate_max_climate_tree(:) = 0.0
-       estab_rate_max_climate_grass(:) = 0.0
-
-    ENDWHERE
-
-    !
-    ! 3.2 reduce maximum tree establishment rate if many trees present.
-    !     In the original DGVM, this is done using a step function which yields a
-    !     reduction by factor 4 if sumfpc_wood(i) .GT.  fpc_crit - 0.05.
-    !     This can lead to small oscillations (without consequences however).
-    !     Here, a steady linear transition is used between fpc_crit-0.075 and
-    !     fpc_crit-0.025.
-    !
-
-    factor(:) = 1. - establish_scal_fact * ( sumfpc_wood(:) - (fpc_crit - fpc_crit_max) )
-    factor(:) = MAX( 0.25_r_std, MIN( un, factor(:) ) )
-
-    estab_rate_max_tree(:) = estab_rate_max_climate_tree(:) * factor(:)
-
-    !
-    ! 3.3 Modulate grass establishment rate.
-    !     If canopy is not closed (fpc < fpc_crit-0.05), normal establishment.
-    !     If canopy is closed, establishment is reduced by a factor 4.
-    !     Factor is linear between these two bounds.
-    !     This is different from the original DGVM where a step function is
-    !     used at fpc_crit-0.05 (This can lead to small oscillations,
-    !     without consequences however).
-    !
-
-    factor(:) = 1. - establish_scal_fact * ( sumfpc(:) - (fpc_crit - fpc_crit_min) )
-    factor(:) = MAX( 0.25_r_std, MIN( un, factor(:) ) )
-
-    estab_rate_max_grass(:) = estab_rate_max_climate_grass(:) * factor(:)
-
-    !
-    ! 4 do establishment for natural PFTs
-    !
-
-    d_ind(:,:) = 0.0
-
-    DO j = 2,nvm
-
-       ! only for natural PFTs
-
-       IF ( natural(j) ) THEN
-
-          !
-          ! 4.1 PFT expansion across the grid box. Not to be confused with areal
-          !     coverage.
-          !
-
-          IF ( treat_expansion ) THEN
-
-             ! only treat plants that are regenerative and present and still can expand
-
-             DO i = 1, npts
-
-                IF ( PFTpresent(i,j) .AND. &
-                     ( everywhere(i,j) .LT. 1. ) .AND. &
-                     ( regenerate(i,j) .GT. regenerate_crit ) ) THEN
-
-                   ! from how many sides is the grid box invaded (separate x and y directions
-                   ! because resolution may be strongly anisotropic)
-                   !
-                   ! For the moment we only look into 4 direction but that can be extanded (JP) 
-                   !
-                   nfrontx = 0
-                   IF ( neighbours(i,3) .GT. 0 ) THEN
-                      IF ( everywhere(neighbours(i,3),j) .GT. 1.-min_stomate ) nfrontx = nfrontx+1
-                   ENDIF
-                   IF ( neighbours(i,7) .GT. 0 ) THEN
-                      IF ( everywhere(neighbours(i,7),j) .GT. 1.-min_stomate ) nfrontx = nfrontx+1
-                   ENDIF
-
-                   nfronty = 0
-                   IF ( neighbours(i,1) .GT. 0 ) THEN
-                      IF ( everywhere(neighbours(i,1),j) .GT. 1.-min_stomate ) nfronty = nfronty+1
-                   ENDIF
-                   IF ( neighbours(i,5) .GT. 0 ) THEN
-                      IF ( everywhere(neighbours(i,5),j) .GT. 1.-min_stomate ) nfronty = nfronty+1
-                   ENDIF
-
-                   everywhere(i,j) = &
-                        everywhere(i,j) + migrate(j) * dt/one_year * &
-                        ( nfrontx / resolution(i,1) + nfronty / resolution(i,2) )
-
-                   IF ( .NOT. need_adjacent(i,j) ) THEN
-
-                      ! in that case, we also assume that the PFT expands from places within
-                      ! the grid box (e.g., oasis).
-
+
+    IF (control%ok_dgvm) THEN
+       !
+       ! 2 recalculate fpc
+       !
+
+       !
+       ! 2.1 Only natural part of the grid cell
+       !
+
+       fracnat(:) = un
+       do j = 2,nvm
+          IF ( .NOT. natural(j) ) THEN
+             fracnat(:) = fracnat(:) - veget_max(:,j)
+          ENDIF
+       ENDDO
+
+       !
+       ! 2.2 total natural fpc on grid
+       !
+       sumfpc(:) = zero
+       DO j = 2,nvm
+
+          IF ( natural(j) ) THEN
+             WHERE(fracnat(:).GT.min_stomate)
+                WHERE (lai(:,j) == val_exp) 
+                   fpc_nat(:,j) = cn_ind(:,j) * ind(:,j) / fracnat(:)
+                ELSEWHERE
+                   fpc_nat(:,j) = cn_ind(:,j) * ind(:,j) / fracnat(:) & 
+                        * ( 1. - exp( - lm_lastyearmax(:,j) * sla(j) * ext_coeff(j) ) )
+                ENDWHERE
+             ENDWHERE
+
+             WHERE ( PFTpresent(:,j) )
+                sumfpc(:) = sumfpc(:) + fpc_nat(:,j)
+             ENDWHERE
+          ELSE
+
+             fpc_nat(:,j) = zero
+
+          ENDIF
+
+       ENDDO
+
+       !
+       ! 2.3 total woody fpc on grid and number of regenerative tree pfts
+       !
+       
+       sumfpc_wood(:) = zero
+       spacefight_tree(:) = zero
+
+       DO j = 2,nvm
+          
+          IF ( tree(j) .AND. natural(j) ) THEN
+             
+             ! total woody fpc
+             
+             WHERE ( PFTpresent(:,j) )
+                sumfpc_wood(:) = sumfpc_wood(:) + fpc_nat(:,j)
+             ENDWHERE
+             
+             ! how many trees are competing? Count a PFT fully only if it is present
+             !   on the whole grid box.
+             
+             WHERE ( PFTpresent(:,j) .AND. ( regenerate(:,j) .GT. regenerate_crit ) )
+                spacefight_tree(:) = spacefight_tree(:) + everywhere(:,j)
+             ENDWHERE
+             
+          ENDIF
+          
+       ENDDO
+       
+       !
+       ! 2.4 number of natural grasses
+       !
+       
+       spacefight_grass(:) = zero
+       
+       DO j = 2,nvm
+          
+          IF ( .NOT. tree(j) .AND. natural(j) ) THEN
+             
+             ! how many grasses are competing? Count a PFT fully only if it is present
+             !   on the whole grid box.
+             
+             WHERE ( PFTpresent(:,j) )
+                spacefight_grass(:) = spacefight_grass(:) + everywhere(:,j)
+             ENDWHERE
+             
+          ENDIF
+          
+       ENDDO
+       
+       !
+       ! 3 establishment rate
+       !
+       
+       !
+       ! 3.1 maximum establishment rate, based on climate only
+       !
+       
+       WHERE ( ( precip_annual(:) .GE. precip_crit ) .AND. ( gdd0(:) .GE. gdd_crit_estab ) )
+          
+          estab_rate_max_climate_tree(:) = estab_max_tree
+          estab_rate_max_climate_grass(:) = estab_max_grass
+          
+       ELSEWHERE
+          
+          estab_rate_max_climate_tree(:) = zero
+          estab_rate_max_climate_grass(:) = zero
+          
+       ENDWHERE
+    
+       !
+       ! 3.2 reduce maximum tree establishment rate if many trees present.
+       !     In the original DGVM, this is done using a step function which yields a
+       !     reduction by factor 4 if sumfpc_wood(i) .GT.  fpc_crit - 0.05.
+       !     This can lead to small oscillations (without consequences however).
+       !     Here, a steady linear transition is used between fpc_crit-0.075 and
+       !     fpc_crit-0.025.
+       !
+       
+       !factor(:) = 1. - establish_scal_fact * ( sumfpc_wood(:) - (fpc_crit - fpc_crit_max) )
+       !factor(:) = MAX( 0.25_r_std, MIN( un, factor(:) ) )
+       
+       !SZ modified according to Smith et al. 2001, 080806
+       factor(:)=(1.0-exp(-5.0*(1.0-sumfpc_wood(:))))*(1.0-sumfpc_wood(:))
+
+       estab_rate_max_tree(:) = estab_rate_max_climate_tree(:) * factor(:)
+       
+       !
+       ! 3.3 Modulate grass establishment rate.
+       !     If canopy is not closed (fpc < fpc_crit-0.05), normal establishment.
+       !     If canopy is closed, establishment is reduced by a factor 4.
+       !     Factor is linear between these two bounds.
+       !     This is different from the original DGVM where a step function is
+       !     used at fpc_crit-0.05 (This can lead to small oscillations,
+       !     without consequences however).
+       !
+       
+       !factor(:) = 1. - establish_scal_fact * ( sumfpc(:) - (fpc_crit - fpc_crit_min) )
+       !factor(:) = MAX( 0.25_r_std, MIN( un, factor(:) ) )
+       !estab_rate_max_grass(:) = estab_rate_max_climate_grass(:) * factor(:)
+ 
+       !SZ modified to true LPJ formulation, grasses are only allowed in the
+       !fpc fraction not occupied by trees..., 080806
+!NVmodif       estab_rate_max_grass(:)=MAX(0.98-sumfpc(:),zero)
+       estab_rate_max_grass(:)=MAX(MIN(estab_rate_max_climate_grass(:),0.98-sumfpc(:)),zero)
+
+       ! SZ: longterm grass NPP for competition between C4 and C3 grasses
+       !     to avoid equal veget_max, the idea is that more reestablishment
+       !     is possible for the more productive PFT
+       factor(:)=min_stomate
+       DO j = 2,nvm
+          IF ( natural(j) .AND. .NOT.tree(j)) & 
+               factor(:)=factor(:)+npp_longterm(:,j) * &
+               lm_lastyearmax(:,j) * sla(j)
+       ENDDO 
+       !
+       !
+       !
+       ! 4 do establishment for natural PFTs
+       !
+       
+       d_ind(:,:) = zero
+       
+       DO j = 2,nvm
+          
+          ! only for natural PFTs
+          
+          IF ( natural(j) ) THEN
+             
+             !
+             ! 4.1 PFT expansion across the grid box. Not to be confused with areal
+             !     coverage.
+             !
+             
+             IF ( treat_expansion ) THEN
+                
+                ! only treat plants that are regenerative and present and still can expand
+                
+                DO i = 1, npts
+                   
+                   IF ( PFTpresent(i,j) .AND. &
+                        ( everywhere(i,j) .LT. un ) .AND. &
+                        ( regenerate(i,j) .GT. regenerate_crit ) ) THEN
+                      
+                      ! from how many sides is the grid box invaded (separate x and y directions
+                      ! because resolution may be strongly anisotropic)
+                      !
+                      ! For the moment we only look into 4 direction but that can be extanded (JP) 
+                      !
+                      nfrontx = 0
+                      IF ( neighbours(i,3) .GT. 0 ) THEN
+                         IF ( everywhere(neighbours(i,3),j) .GT. 1.-min_stomate ) nfrontx = nfrontx+1
+                      ENDIF
+                      IF ( neighbours(i,7) .GT. 0 ) THEN
+                         IF ( everywhere(neighbours(i,7),j) .GT. 1.-min_stomate ) nfrontx = nfrontx+1
+                      ENDIF
+                      
+                      nfronty = 0
+                      IF ( neighbours(i,1) .GT. 0 ) THEN
+                         IF ( everywhere(neighbours(i,1),j) .GT. 1.-min_stomate ) nfronty = nfronty+1
+                      ENDIF
+                      IF ( neighbours(i,5) .GT. 0 ) THEN
+                         IF ( everywhere(neighbours(i,5),j) .GT. 1.-min_stomate ) nfronty = nfronty+1
+                      ENDIF
+                      
                       everywhere(i,j) = &
                            everywhere(i,j) + migrate(j) * dt/one_year * &
-                           2. * SQRT( pi*everywhere(i,j)/(resolution(i,1)*resolution(i,2)) )
-
+                           ( nfrontx / resolution(i,1) + nfronty / resolution(i,2) )
+                      
+                      IF ( .NOT. need_adjacent(i,j) ) THEN
+                         
+                         ! in that case, we also assume that the PFT expands from places within
+                         ! the grid box (e.g., oasis).
+                         
+                         everywhere(i,j) = &
+                              everywhere(i,j) + migrate(j) * dt/one_year * &
+                              2. * SQRT( pi*everywhere(i,j)/(resolution(i,1)*resolution(i,2)) )
+                         
+                      ENDIF
+                      
+                      everywhere(i,j) = MIN( everywhere(i,j), un )
+                      
                    ENDIF
-
-                   everywhere(i,j) = MIN( everywhere(i,j), un )
-
-                ENDIF
-
-             ENDDO
-
-          ENDIF  ! treat expansion?
-
-          !
-          ! 4.2 establishment rate
-          !     - Is lower if the PFT is only present in a small part of the grid box
-          !       (after its introduction), therefore multiplied by "everywhere".
-          !     - Is divided by the number of PFTs that compete ("spacefight").
-          !     - Is modulated by space availability (avail_tree, avail_grass).
-          !
-
-          IF ( tree(j) ) THEN
-
-             ! 4.2.1 present and regenerative trees
-
-             WHERE ( PFTpresent(:,j) .AND. ( regenerate(:,j) .GT. regenerate_crit ) )
-
-
-                d_ind(:,j) = estab_rate_max_tree(:)*everywhere(:,j)/spacefight_tree(:) * &
-                     avail_tree(:) * dt/one_year
-
-             ENDWHERE
-
-          ELSE
-
-             ! 4.2.2 present and regenerative grasses
-
-             WHERE ( PFTpresent(:,j) .AND. ( regenerate(:,j) .GT. regenerate_crit ) )
-
-                d_ind(:,j) = estab_rate_max_grass(:)*everywhere(:,j)/spacefight_grass(:) * &
-                     avail_grass(:) * dt/one_year
-
-             ENDWHERE
-
-          ENDIF  ! tree/grass
+                   
+                ENDDO
+                
+             ENDIF  ! treat expansion?
+             
+             !
+             ! 4.2 establishment rate
+             !     - Is lower if the PFT is only present in a small part of the grid box
+             !       (after its introduction), therefore multiplied by "everywhere".
+             !     - Is divided by the number of PFTs that compete ("spacefight").
+             !     - Is modulated by space availability (avail_tree, avail_grass).
+             !
+             
+             IF ( tree(j) ) THEN
+                
+                ! 4.2.1 present and regenerative trees
+                
+                WHERE ( PFTpresent(:,j) .AND. ( regenerate(:,j) .GT. regenerate_crit ) )
+                   
+                   
+                   d_ind(:,j) = estab_rate_max_tree(:)*everywhere(:,j)/spacefight_tree(:) * &
+                        avail_tree(:) * dt/one_year
+                   
+                ENDWHERE
+                
+             ELSE
+                
+                ! 4.2.2 present and regenerative grasses
+                
+                WHERE ( PFTpresent(:,j) .AND. ( regenerate(:,j) .GT. regenerate_crit )  & 
+                     .AND.factor(:).GT.min_stomate .AND. spacefight_grass(:).GT. min_stomate) 
+                   
+                   d_ind(:,j) = estab_rate_max_grass(:)*everywhere(:,j)/spacefight_grass(:) * &
+                        MAX(min_stomate,npp_longterm(:,j)*lm_lastyearmax(:,j)*sla(j)/factor(:)) * fracnat(:) * dt/one_year
+                   
+                ENDWHERE
+
+             ENDIF  ! tree/grass
+
+          ENDIF ! if natural
+       ENDDO ! PFTs
+
+    ELSE ! lpj establishment in static case, SZ 080806, account for real LPJ dynamics in 
+       ! prescribed vegetation, i.e. population dynamics within a given area of the 
+       ! grid cell
+
+       d_ind(:,:) = zero
+
+       DO j = 2,nvm
+
+          ! only for natural PFTs
+
+          WHERE(ind(:,j)*cn_ind(:,j).GT.min_stomate)
+             lai_ind(:)=sla(j) * lm_lastyearmax(:,j)/(ind(:,j)*cn_ind(:,j))
+          ELSEWHERE
+             lai_ind(:)= zero
+          ENDWHERE
+
+          IF ( natural(j) .AND. tree(j)) THEN 
+
+             fpc_nat(:,j) =  MIN(1.0,cn_ind(:,j) * ind(:,j) * & 
+                  MAX( ( 1._r_std - exp( - ext_coeff(j) * lai_ind(:) ) ), min_cover ) )
+             !fpc_nat(:,j) = max(fpc_nat(:,j),1.-exp(-0.5*sla(j) * lm_lastyearmax(:,j)))
+
+
+             WHERE (veget_max(:,j).GT.min_stomate.AND.ind(:,j).LE.2.)
+
+                ! only establish into growing stands, ind can become very
+                ! large in the static mode because LAI is very low in poor 
+                ! growing conditions, favouring continuous establishment. To avoid this
+                ! a maximum IND is set. BLARPP: This should be replaced by a 
+                ! better stand density criteria
+                !
+                factor(:)=(1.0-exp(-5.0*(1.0-fpc_nat(:,j))))*(1.0-fpc_nat(:,j))
+
+                estab_rate_max_tree(:) = estab_max_tree * factor(:) 
+                !
+                ! 4 do establishment for natural PFTs
+                !
+                d_ind(:,j) = MAX( zero, estab_rate_max_tree(:) * dt/one_year)
+
+             ENDWHERE
+
+             !SZ: quickfix: to simulate even aged stand, uncomment the following lines...
+             !where (ind(:,j) .LE. min_stomate)
+             !d_ind(:,j) = 0.1 !MAX( 0.0, estab_rate_max_tree(:) * dt/one_year)
+
+             WHERE (veget_max(:,j).GT.min_stomate.AND.ind(:,j).EQ.zero)
+                d_ind(:,j) = ind_0*10.
+                !          elsewhere
+                !d_ind(:,j) =0.0
+             endwhere
+
+          ELSEIF ( natural(j) .AND. .NOT.tree(j)) THEN 
+
+             WHERE (veget_max(:,j).GT.min_stomate)
+
+                fpc_nat(:,j) =  cn_ind(:,j) * ind(:,j) * & 
+                     MAX( ( 1._r_std - exp( - ext_coeff(j) * lai_ind(:) ) ), min_cover )
+
+                d_ind(:,j) = MAX(zero , (1.0-fpc_nat(:,j)) * dt/one_year )
+
+             ENDWHERE
+
+             WHERE (veget_max(:,j).GT.min_stomate.AND.ind(:,j).EQ.zero)
+                d_ind(:,j) = ind_0*10.
+             ENDWHERE
+
+          ENDIF
+
+       ENDDO
+
+    ENDIF ! DGVM OR NOT
+
+    DO j = 2,nvm
+
+       ! only for natural PFTs
+
+       IF ( natural(j) ) THEN
 
           !
@@ -409,12 +538,19 @@
           !
           ! 4.4 be sure that ind*cn_ind does not exceed 1
-          !
-
-          WHERE ( ( d_ind(:,j) .GT. 0.0 ) .AND. &
-               ( (ind(:,j)+d_ind(:,j))*cn_ind(:,j) .GT. 1. ) )
-
-             d_ind(:,j) = MAX( un / cn_ind(:,j) - ind(:,j), zero)
-
-          ENDWHERE
+          !SZ This control is now moved to lpj_cover.f90
+          !SZ
+
+          !The aim is to control for sum(veget)=1., irrespective of ind*cnd (crowns can overlap as long as
+          ! there is enough light
+          !
+          !SZ: This could be part of the dynamic vegetation problem of Orchidee
+          !in conjunction with the wrong formulation of establishment response 
+          !to tree fpc above...
+          !          WHERE ( ( d_ind(:,j) .GT. zero ) .AND. &
+          !                  ( (ind(:,j)+d_ind(:,j))*cn_ind(:,j) .GT. un ) )
+          !
+          !            d_ind(:,j) = MAX( 1._stnd / cn_ind(:,j) - ind(:,j), zero )
+          !
+          !          ENDWHERE
 
           !
